/**
 * @module requestErrors
 * @description This module exports various RPC-related errors from the 'viem' library.
 */
export { InternalRpcError, InvalidInputRpcError, InvalidParamsRpcError, InvalidRequestRpcError, JsonRpcVersionUnsupportedError, LimitExceededRpcError, MethodNotFoundRpcError, MethodNotSupportedRpcError, ParseRpcError, ProviderDisconnectedError, ResourceNotFoundRpcError, ResourceUnavailableRpcError, UnknownRpcError, UnsupportedProviderMethodError, UserRejectedRequestError, TimeoutError, } from 'viem';
/**
 * Represents the possible error codes for RPC errors.
 */
export type RpcErrorCode = -1 | -32700 | -32600 | -32601 | -32602 | -32603 | -32000 | -32001 | -32002 | -32003 | -32004 | -32005 | -32006 | -32042;
//# sourceMappingURL=requestErrors.d.ts.map